[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBListBox.OnDrawItem

Event handler signalled to draw an Item on the data-aware list box.

## Declaration

Source position: dbctrls.pp line 434

`published property TDBListBox.OnDrawItem : TDrawItemEvent;`

## Description

OnDrawItem is an event handler used to draw an Item on the data-aware list box.

For example, selecting an item may require it to be highlighted or have its font or background changed.

## See also

TCustomListBox.OnDrawItem |  | Handler for painting of a list item in owner-draw mode.